<?php

// Load the JS and CSS.
add_action( 'customize_controls_enqueue_scripts', function() {

	$version = wp_get_theme()->get( 'Version' );

	wp_enqueue_script(
		'expert-business-consultant-customize-section-button',
		get_theme_file_uri( 'assets/js/customize-controls.js' ),
		[ 'customize-controls' ],
		$version,
		true
	);
	wp_localize_script(
		'expert-business-consultant-customize-section-button',
		'Expert_Business_Consultant_Customizer_params',
		array(
			'ajaxurl' =>	admin_url( 'admin-ajax.php' )
		)
	);

	wp_enqueue_style(
		'expert-business-consultant-customize-section-button',
		get_theme_file_uri( 'assets/css/customize-controls.css' ),
		[ 'customize-controls' ],
 		$version
	);

} );

 /**
 * Enqueue scripts and styles.
 */
function expert_business_consultant_scripts() {
	// Styles	 

	wp_enqueue_style('all-min',get_template_directory_uri().'/assets/css/all.min.css');

	wp_enqueue_style('bootstrap-min',get_template_directory_uri().'/assets/css/bootstrap.min.css');

	// owl
	wp_enqueue_style( 'owl-carousel-css', get_theme_file_uri( '/assets/css/owl.carousel.css' ) );
		
	wp_enqueue_style('font-awesome',get_template_directory_uri().'/assets/css/fonts/font-awesome/css/font-awesome.min.css');
	
	wp_enqueue_style('expert-business-consultant-editor-style',get_template_directory_uri().'/assets/css/editor-style.css');

	wp_enqueue_style('expert-business-consultant-main', get_template_directory_uri() . '/assets/css/main.css');

	wp_enqueue_style('expert-business-consultant-woo', get_template_directory_uri() . '/assets/css/woo.css');
	
	wp_enqueue_style( 'expert-business-consultant-style', get_stylesheet_uri() );


	wp_enqueue_style('expert-business-consultant-style', get_stylesheet_uri(), array() );
		wp_style_add_data('expert-business-consultant-style', 'rtl', 'replace');

	// Define a unique handle for your inline stylesheet
    $handle = 'expert-business-consultant-style';
    
    // Get the generated custom CSS
    $expert_business_consultant_custom_css = "";

    $expert_business_consultant_blog_layouts = get_theme_mod('expert_business_consultant_blog_layout_option_setting', 'Default');
    if ($expert_business_consultant_blog_layouts == 'Default') {
        $expert_business_consultant_custom_css .= '.blog-item{';
        $expert_business_consultant_custom_css .= 'text-align:center;';
        $expert_business_consultant_custom_css .= '}';
    } elseif ($expert_business_consultant_blog_layouts == 'Left') {
        $expert_business_consultant_custom_css .= '.blog-item{';
        $expert_business_consultant_custom_css .= 'text-align:Left;';
        $expert_business_consultant_custom_css .= '}';
    } elseif ($expert_business_consultant_blog_layouts == 'Right') {
        $expert_business_consultant_custom_css .= '.blog-item{';
        $expert_business_consultant_custom_css .= 'text-align:Right;';
        $expert_business_consultant_custom_css .= '}';
    }

    // Enqueue the inline stylesheet
    wp_add_inline_style($handle, $expert_business_consultant_custom_css);

	// Add inline style for Scroll to Top
    $expert_business_consultant_scroll_top_bg_color = get_theme_mod('expert_business_consultant_scroll_top_bg_color', '#f7a400');
    $expert_business_consultant_scroll_top_color = get_theme_mod('expert_business_consultant_scroll_top_color', '#fff');

    // Use global if still default
    if ( $expert_business_consultant_scroll_top_bg_color === '#f7a400' ) {
        $expert_business_consultant_scroll_top_bg_color = get_theme_mod('expert_business_consultant_dynamic_color_one');
    }

    $expert_business_consultant_scroll_custom_css = "
        #scrolltop {
            background-color: {$expert_business_consultant_scroll_top_bg_color};
        }
        #scrolltop span {
            color: {$expert_business_consultant_scroll_top_color};
        }
    ";
    wp_add_inline_style('expert-business-consultant-style', $expert_business_consultant_scroll_custom_css);

    // Add inline style for Preloader
    $expert_business_consultant_preloader_bg_color = get_theme_mod('expert_business_consultant_preloader_bg_color', '#ffffff');
    $expert_business_consultant_preloader_color = get_theme_mod('expert_business_consultant_preloader_color', '#f7a400');

    // Use global if still default
    if ( $expert_business_consultant_preloader_color === '#f7a400' ) {
        $expert_business_consultant_preloader_color = get_theme_mod('expert_business_consultant_dynamic_color_one');
    }

    $expert_business_consultant_preloader_custom_css = "
        .loading {
            background-color: {$expert_business_consultant_preloader_bg_color};
        }
        .loader {
            border-color: {$expert_business_consultant_preloader_color};
            color: {$expert_business_consultant_preloader_color};
            text-shadow: 0 0 10px {$expert_business_consultant_preloader_color};
        }
        .loader::before {
            border-top-color: {$expert_business_consultant_preloader_color};
            border-right-color: {$expert_business_consultant_preloader_color};
        }
        .loader span::before {
            background: {$expert_business_consultant_preloader_color};
            box-shadow: 0 0 10px {$expert_business_consultant_preloader_color};
        }
    ";
    wp_add_inline_style('expert-business-consultant-style', $expert_business_consultant_preloader_custom_css);

    // footer copyright
    $expert_business_consultant_footer_font_size = get_theme_mod('expert_business_consultant_footer_bottom_copyright_text_font_size');
    $expert_business_consultant_footer_padding = get_theme_mod('expert_business_consultant_footer_bottom_copyright_text_top_bottom_padding');

    if ( $expert_business_consultant_footer_font_size === '14px' ) {
        $expert_business_consultant_footer_font_size = get_theme_mod('expert_business_consultant_body_font_size');
    }

    $expert_business_consultant_footer_copyright_css = "
        .copy-right p {
            font-size: {$expert_business_consultant_footer_font_size}px;
            padding: {$expert_business_consultant_footer_padding}px;
        }
    ";
    wp_add_inline_style('expert-business-consultant-style', $expert_business_consultant_footer_copyright_css);
	
	// Scripts

	wp_enqueue_script('bootstrap', get_template_directory_uri() . '/assets/js/bootstrap.bundle.min.js', array('jquery'), false, true);

	wp_enqueue_script('expert-business-consultant-theme-js', get_template_directory_uri() . '/assets/js/theme.js', array('jquery'), false, true);

	wp_enqueue_script( 'owl-carousel-js', get_theme_file_uri( '/assets/js/owl.carousel.js' ), array( 'jquery' ), true );

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

    // Animations
    if ( get_theme_mod( 'expert_business_consultant_animation_enabled', true ) ) {
        wp_enqueue_script('wow-js', get_theme_file_uri('/assets/js/wow.js'), array('jquery'), null, true);
        wp_enqueue_style('animate-css', get_template_directory_uri() . '/assets/css/animate.css');
    }

    // copyright text color
    $expert_business_consultant_footer_copyright_text_color =
        get_theme_mod( 'expert_business_consultant_footer_copyright_text_color' );

    if ( $expert_business_consultant_footer_copyright_text_color ) {
        $expert_business_consultant_color_footer_css  = "
    .copy-right p, .copy-right p a{
        color: " . esc_attr( $expert_business_consultant_footer_copyright_text_color ) . ";
    }
    ";
        wp_add_inline_style( 'expert-business-consultant-style', $expert_business_consultant_color_footer_css );
    }

}
add_action( 'wp_enqueue_scripts', 'expert_business_consultant_scripts' );